Groovy Documentation

## org.codehaus.groovy.tools.groovydoc
[Java] Class ClasspathResourceManager

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.ClasspathResourceManager

All Implemented Interfaces:
  ResourceManager

    public class ClasspathResourceManager
    extends java.lang.Object

Constructor Summary
`ClasspathResourceManager()`
`ClasspathResourceManager(java.lang.ClassLoader classLoader)`

Method Summary
`java.io.InputStream` | `getInputStream(java.lang.String resourceName)`
`java.io.Reader` | `getReader(java.lang.String resourceName)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ClasspathResourceManager

    public ClasspathResourceManager()

### ClasspathResourceManager

    public ClasspathResourceManager(java.lang.ClassLoader classLoader)

Method Detail

### getInputStream

    public java.io.InputStream getInputStream(java.lang.String resourceName)

### getReader

    public java.io.Reader getReader(java.lang.String resourceName)

Groovy Documentation